Commit 925b915a authored by Adrien Plazas's avatar Adrien Plazas
Browse files

Merge branch 'pureos/sloppy-3-34-0' into pureos/sloppy

parents 88e10ab9 99197803
......@@ -27,7 +27,6 @@ Build-Depends: appstream,
libjson-glib-dev (>= 1.2.0),
libpackagekit-glib2-dev (>= 1.1.11),
libpolkit-gobject-1-dev,
libsnapd-glib-dev (>= 1.49) [amd64 arm64 armel armhf i386 ppc64el s390x],
libsoup2.4-dev (>= 2.52.0),
libxmlb-dev (>= 0.1.7),
libxml2-utils,
......@@ -100,26 +99,6 @@ Description: Flatpak support for GNOME Software
.
This package contains the Flatpak plugin.
Package: gnome-software-plugin-snap
Architecture: amd64 arm64 armel armhf i386 ppc64el s390x
Depends: gnome-software (= ${binary:Version}),
snapd [amd64 arm64 armel armhf i386 ppc64el],
${misc:Depends},
${shlibs:Depends}
Recommends: snapd [s390x]
Breaks: gnome-software (<< 3.22.3)
Replaces: gnome-software (<< 3.22.3)
Description: Snap support for GNOME Software
Software lets you install and update applications and system extensions.
.
Software uses a plugin architecture to separate the frontend from the
technologies that are used underneath. Currently, a PackageKit plugin provides
data from a number of traditional packaging systems, such as rpm or apt. An
appdata plugin provides additional metadata from locally installed data in the
appdata format.
.
This package contains the Snap plugin.
Package: gnome-packagekit-session
Architecture: all
Section: oldlibs
......
......@@ -23,7 +23,6 @@ Build-Depends: appstream,
libjson-glib-dev (>= 1.2.0),
libpackagekit-glib2-dev (>= 1.1.11),
libpolkit-gobject-1-dev,
libsnapd-glib-dev (>= 1.49) [amd64 arm64 armel armhf i386 ppc64el s390x],
libsoup2.4-dev (>= 2.52.0),
libxmlb-dev (>= 0.1.7),
libxml2-utils,
......@@ -96,26 +95,6 @@ Description: Flatpak support for GNOME Software
.
This package contains the Flatpak plugin.
Package: gnome-software-plugin-snap
Architecture: amd64 arm64 armel armhf i386 ppc64el s390x
Depends: gnome-software (= ${binary:Version}),
snapd [amd64 arm64 armel armhf i386 ppc64el],
${misc:Depends},
${shlibs:Depends}
Recommends: snapd [s390x]
Breaks: gnome-software (<< 3.22.3)
Replaces: gnome-software (<< 3.22.3)
Description: Snap support for GNOME Software
Software lets you install and update applications and system extensions.
.
Software uses a plugin architecture to separate the frontend from the
technologies that are used underneath. Currently, a PackageKit plugin provides
data from a number of traditional packaging systems, such as rpm or apt. An
appdata plugin provides additional metadata from locally installed data in the
appdata format.
.
This package contains the Snap plugin.
Package: gnome-packagekit-session
Architecture: all
Section: oldlibs
......
This diff is collapsed.
......@@ -32,11 +32,6 @@ ifeq ($(DEB_HOST_ARCH_OS), linux)
# Enable GUdev support on Linux
GS_CONFIGURE_FLAGS += -Dgudev=true
# Enable snap support on supported architectures
ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 ppc64el s390x))
GS_CONFIGURE_FLAGS += -Dsnap=true
endif
# Enable valgrind support on supported architectures
ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 arm64 armhf i386 mips mips64 mips64el mipsel powerpc ppc64el s390x))
GS_CONFIGURE_FLAGS += -Dvalgrind=true
......@@ -97,13 +92,6 @@ override_dh_makeshlibs:
# DISABLED
override_dh_auto_test:
override_dh_gencontrol:
ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
dh_gencontrol -- -Vplugin:Recommends='gnome-software-plugin-snap [linux-any]'
else
dh_gencontrol -- -Vplugin:Suggests='gnome-software-plugin-snap [linux-any]'
endif
override_dh_clean:
rm -f debian/gnome-software.gsettings-override
dh_clean
......
......@@ -2,5 +2,4 @@ import apport.packaging
def add_info(report, ui):
report["InstalledPlugins"] = apport.hookutils.package_versions(
'gnome-software-plugin-flatpak',
'gnome-software-plugin-snap')
'gnome-software-plugin-flatpak')
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment